-----------EditSombra---------- | Creditos: LobãoGamer |


local screenW,screenH = guiGetScreenSize()
local resW, resH = 1366,768
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

function SombraHud ( ... )
    if (not isPlayerMapVisible()) then

        local Dinheiro = getPlayerMoney(localPlayer)
        local Banco = getElementData(localPlayer, "Bank:Caixa") or "0"
        local weapon = getPedWeapon(getLocalPlayer())
	    local weaponClip = getPedAmmoInClip(getLocalPlayer(), getPedWeaponSlot(getLocalPlayer()))
	    local weaponAmmo = getPedTotalAmmo(getLocalPlayer()) - getPedAmmoInClip(getLocalPlayer())
        local vida = math.floor(getElementHealth(getLocalPlayer()))
        local colete = math.floor(getPedArmor(getLocalPlayer()))
        local fome = getElementData(getLocalPlayer(), "hunger") or 0
        local sede = getElementData(getLocalPlayer(), "sede") or 0
       
        dxDrawRectangle(1080, 119, 75, 0, tocolor(255, 255, 255, 255), false)
        dxDrawRectangle(screenW * 0.8851, screenH * 0.0260, screenW * 0.1113, screenH * 0.0299, tocolor(0, 0, 0, 135), false)
        dxDrawRectangle(screenW * 0.8851, screenH * 0.1341, screenW * 0.0439, screenH * 0.0273, tocolor(0, 0, 0, 135), false)
        dxDrawRectangle(screenW * 0.9524, screenH * 0.1341, screenW * 0.0439, screenH * 0.0273, tocolor(0, 0, 0, 135), false)
        dxDrawImage(1222, 31, 0, 0, "files/Icons/Vida.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawImage(screenW * 0.8887, screenH * 0.0286, screenW * 0.0190, screenH * 0.0247, "files/Icons/Vida.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawRectangle(screenW * 0.8851, screenH * 0.0781, screenW * 0.1113, screenH * 0.0299, tocolor(0, 0, 0, 135), false)
        dxDrawImage(screenW * 0.8887, screenH * 0.0833, screenW * 0.0190, screenH * 0.0247, "files/Icons/Colete.png", 0, 0, 0, tocolor(54, 54, 54, 255), false)
        dxDrawImage(screenW * 0.8873, screenH * 0.1380, screenW * 0.0132, screenH * 0.0234, "files/Icons/Fome.png", 0, 0, 0, tocolor(214, 115, 8, 255), false)
        dxDrawImage(screenW * 0.9539, screenH * 0.1367, screenW * 0.0139, screenH * 0.0247, "files/Icons/Sede.png", 0, 0, 0, tocolor(4, 154, 217, 255), false)
        dxDrawRectangle(869, 126, 60, 0, tocolor(255, 255, 255, 255), false)
        dxDrawRectangle(screenW * 0.7665, screenH * 0.0260, screenW * 0.1113, screenH * 0.0299, tocolor(0, 0, 0, 135), false)
        dxDrawRectangle(screenW * 0.6479, screenH * 0.0260, screenW * 0.1113, screenH * 0.0299, tocolor(0, 0, 0, 135), false)
        dxDrawImage(890, 21, 23, 18, "files/Icons/Dinheiro.png", 0, 0, 0, tocolor(31, 192, 5, 255), false)
        dxDrawImage(1051, 21, 29, 22, "files/Icons/Banco.png", 0, 0, 0, tocolor(16, 2, 213, 255), false)
        dxDrawText("Vida : "..vida.."%", screenW * 0.9158, screenH * 0.0313, screenW * 0.9685, screenH * 0.0482, tocolor(255, 255, 255, 255), 1.00, "default-bold", "right", "top", false, false, false, false, false)
        dxDrawText("Colete : "..colete.."%", screenW * 0.9151, screenH * 0.0833, screenW * 0.9678, screenH * 0.1003, tocolor(255, 255, 255, 255), 1.00, "default-bold", "right", "top", false, false, false, false, false)
        dxDrawText("", 1236, 110, 1236, 113, tocolor(255, 255, 255, 255), 1.00, "default", "left", "top", false, false, false, false, false)
        dxDrawText(""..fome.."%", screenW * 0.9026, screenH * 0.1393, screenW * 0.9253, screenH * 0.1563, tocolor(255, 255, 255, 255), 1.00, "default-bold", "right", "top", false, false, false, false, false)
        dxDrawText(""..sede.."%", screenW * 0.9700, screenH * 0.1393, screenW * 0.9927, screenH * 0.1563, tocolor(255, 255, 255, 255), 1.00, "default-bold", "right", "top", false, false, false, false, false)
        dxDrawText("R$ "..Banco, screenW * 0.7958, screenH * 0.0326, screenW * 0.8741, screenH * 0.0534, tocolor(255, 255, 255, 255), 1.00, "default-bold", "left", "top", false, false, false, false, false)
        dxDrawText("R$ "..Dinheiro, screenW * 0.6757, screenH * 0.0326, screenW * 0.7540, screenH * 0.0534, tocolor(255, 255, 255, 255), 1.00, "default-bold", "left", "top", false, false, false, false, false)

    end
end



function setHud()
    addEventHandler("onClientRender", getRootElement(), SombraHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)